### Function

# Gtk accelerator_name

since: 4.0

#### Declaration [src]

    char*
    gtk_accelerator_name (
      guint accelerator_key,
      GdkModifierType accelerator_mods
    )

#### Description [src]

Converts an accelerator keyval and modifier mask into a string parseable by gtk_accelerator_parse().

For example, if you pass in %GDK_KEY_q and `GDK_CONTROL_MASK`, this function returns `<Control>q`.

If you need to display accelerators in the user interface, see `gtk_accelerator_get_label()`.

Available since: 4.0

#### Parameters

`accelerator_key`

  Type: `guint`

  Accelerator keyval.

`accelerator_mods`

  Type: `GdkModifierType`

  Accelerator modifier mask.

#### Return value

Type: `char*`

A newly-allocated accelerator name.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.